%define anolis_release 1

%undefine _package_note_flags

%global source_directory 5.3-development

Summary:       Tool for creating supermin appliances
Name:          supermin
Version:       5.3.3
Release:       %{anolis_release}%{?dist}
License:       GPLv2+

ExclusiveArch: aarch64 x86_64

URL:           http://people.redhat.com/~rjones/supermin/
Source0:       http://download.libguestfs.org/supermin/%{source_directory}/%{name}-%{version}.tar.gz

Patch1:        0001-rpm-New-RPM-database-location-in-usr-lib-sysimage-rp.patch

BuildRequires: gcc
BuildRequires: make
BuildRequires: autoconf, automake
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/bin/pod2html
BuildRequires: rpm
BuildRequires: rpm-devel
BuildRequires: dnf
BuildRequires: dnf-plugins-core
BuildRequires: /usr/sbin/mke2fs
BuildRequires: e2fsprogs-devel
BuildRequires: findutils
BuildRequires: glibc-static
BuildRequires: ocaml, ocaml-findlib-devel

# for tests
BuildRequires: augeas hivex kernel tar

BuildRequires: grubby
BuildRequires: systemd-udev

Requires:      rpm
Requires:      util-linux-ng
Requires:      cpio
Requires:      tar
Requires:      /usr/sbin/mke2fs
Requires:      e2fsprogs-libs >= 1.42

# For automatic RPM dependency generation.
Source3:       supermin.attr
Source4:       supermin-find-requires


%description
Supermin is a tool for building supermin appliances.  These are tiny
appliances (similar to virtual machines), usually around 100KB in
size, which get fully instantiated on-the-fly in a fraction of a
second when you need to boot one of them.

Note that if you want to run 'supermin --prepare' you will need the
extra dependencies provided by %{name}-devel.


%package devel
Summary:       Development tools for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      rpm-build

# Dependencies needed for supermin --prepare
Requires:      dnf
Requires:      dnf-plugins-core
Requires:      findutils


%description devel
%{name}-devel contains development tools for %{name}.

It contains extra dependencies needed for 'supermin --prepare' to
work, as well as tools for automatic RPM dependency generation from
supermin appliances.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%autosetup -p1


%build
autoreconf -fi
%configure --disable-network-tests

%make_build


%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs/
install -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{_rpmconfigdir}/

%generate_compatibility_deps


%check

make check || {
    cat tests/test-suite.log
    exit 1
}


%files
%license COPYING
%doc examples/build-basic-vm.sh
%{_bindir}/supermin
%{_mandir}/man1/supermin.1*
%dir %{abidir}
%{abidir}/supermin-option.list


%files devel
%{_rpmconfigdir}/fileattrs/supermin.attr
%{_rpmconfigdir}/supermin-find-requires


%files doc
%doc README

%changelog
* Tue Mar 21 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.3.3-1
- init from upstream
